### Method

# WebKit2WebExtension DOMDocument create_expression

deprecated: 2.22

#### Declaration [src]

    WebKitDOMXPathExpression*
    webkit_dom_document_create_expression (
      WebKitDOMDocument* self,
      const gchar* expression,
      WebKitDOMXPathNSResolver* resolver,
      GError** error
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`expression`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`resolver`

  Type: `WebKitDOMXPathNSResolver`

  A `WebKitDOMXPathNSResolver`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `WebKitDOMXPathExpression`

A `WebKitDOMXPathExpression`.

The caller of the method takes ownership of the data, and is responsible for freeing it.